PPI Delegates - Decision #367

Welcome to Redmine
04/06/2017 06:48 AM - Allenby Prescott

Status: Closed Start date:
Priority: Low Due date:
Assignee: % Done:
Category: Estimated time:
Target version:

04/06/2017

0%
0.00 hour

Description
See the bio for its creator, Jean-Philippe Lang.

History

#1 - 01/27/2021 05:27 AM - James Plouf
aaooooooo oonoa

#2 - 02/16/2021 11:33 AM - Gregory Engels

- Status changed from New to Closed

10/19/2025

1/1
